<?php
class DeleteDetailAction extends wtActions
{
    public function execute()
    {
        $block      = $this->getRequestParameter( 'block' );
        $i_Id       = $this->getRequestParameter( 'i_Id' );
        $s_TipoProc = $this->getRequestParameter( 's_TipoProc' );
        try 
        {
            $a_Ids = explode( "_", $i_Id );
            $IdCompania    = $a_Ids[0];
            $IdOrdenCompra = $a_Ids[1];
            $Secuencia     = $a_Ids[2];
                
            $o_COM_OrdenCompraDetalleDP = new COM_OrdenCompraDetalleDP();
            $o_COM_OrdenCompraDetalleDP->setIdCompania( ( int ) $IdCompania );
            $o_COM_OrdenCompraDetalleDP->setIdOrdenCompra( ( int ) $IdOrdenCompra );
            $o_COM_OrdenCompraDetalleDP->setIdSecuencia( ( int ) $Secuencia );
            $b_Result = $o_COM_OrdenCompraDetalleDP->delete();
            
            COM_OrdenCompraCabeceraDP::actualizarCabaceraMontos( $IdCompania, $IdOrdenCompra );

            $a_Rs['error']   = false;
            $a_Rs['id']      = $i_Id;
        }
        catch ( Exception $o_Exception )
        {
            $a_Rs['error']   = true;
            $a_Rs['mensaje_error_ex'] = $o_Exception->getMessage();
            $a_Rs['mensaje_error'] = "No se pudo eliminar el registro.";
        }
        echo json_encode( $a_Rs );
        return ViewResponse::NONE;
    }
}